Bug 1810916 - openstack upi soft-anti-affinity is not supported
Summary: openstack upi soft-anti-affinity is not supported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 4.5.0
Assignee: Pierre Prinetti
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks: 1810922
TreeView+ depends on / blocked
 
Reported: 2020-03-06 08:27 UTC by Pierre Prinetti
Modified: 2020-07-13 17:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The UPI script for creating a Nova server group does not work with some Ansible versions Consequence: On some systems, the UPI Ansible playbook does not work Fix: Change the Ansible playbook to directly call the Nova API, instead of using an Ansible module Result: THe server group is correctly created regardless of the Ansible version available on the system
Clone Of:
: 1810922 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:18:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3253 None closed Bug 1810916: openstack UPI: Adapt the script to older Ansible 2020-07-03 04:08:19 UTC
Github openshift installer pull 3298 None closed Bug 1810916: openstack UPI: servers in group 2020-07-03 04:08:19 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:19:10 UTC

Description Pierre Prinetti 2020-03-06 08:27:45 UTC
The OpenStack UPI documentation sets a soft-anti-affinity policy on the Control Plane; however, soft-anti-affinity is not supported in the Ansible versions currently supported by Red Hat.

Comment 9 errata-xmlrpc 2020-07-13 17:18:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.